Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class BeanPropertyTarget

    java.lang.Object
      org.apache.axis.encoding.ser.BeanPropertyTarget

All Implemented Interfaces:
  Target

public class BeanPropertyTarget
extends Object
implements Target

Class which knows how to update a bean property

Field Summary
`protected BeanDeserializer` | `beanDeserializer`
`protected DeferedBeanConstruction` | `deferedConstruction`

Constructor Summary
`BeanPropertyTarget(BeanDeserializer beanDeserializer, DeferedBeanConstruction deferedConstruction, BeanPropertyDescriptor pd)` This constructor is used for a property with defered construction.
`BeanPropertyTarget(Object object, BeanPropertyDescriptor pd)` This constructor is used for a normal property.
`BeanPropertyTarget(Object object, BeanPropertyDescriptor pd, int i)` This constructor is used for an indexed property.

Method Summary
`void` | `set(Object value)` set the bean property with specified value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deferedConstruction

    protected DeferedBeanConstruction deferedConstruction

### beanDeserializer

    protected BeanDeserializer beanDeserializer

Constructor Detail

### BeanPropertyTarget

    public BeanPropertyTarget(Object object,
                              BeanPropertyDescriptor pd)

  This constructor is used for a normal property.

Parameters:
  `object` - is the bean class
  `pd` - is the property

### BeanPropertyTarget

    public BeanPropertyTarget(Object object,
                              BeanPropertyDescriptor pd,
                              int i)

  This constructor is used for an indexed property.

Parameters:
  `object` - is the bean class
  `pd` - is the property
  `i` - is the index

### BeanPropertyTarget

    public BeanPropertyTarget(BeanDeserializer beanDeserializer,
                              DeferedBeanConstruction deferedConstruction,
                              BeanPropertyDescriptor pd)

  This constructor is used for a property with defered construction.

Method Detail

### set

    public void set(Object value)
             throws SAXException

  set the bean property with specified value

  Specified by:
    `set` in interface `Target`
  Parameters:
    `value` - is the value.
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.